LibreOffice: cppu::Enterable Class Reference

LibreOffice LibreOffice 5.2 SDK C/C++ API Reference

Public Member Functions | List of all members
cppu::Enterable Class Referenceabstract

C++ wrapper for binary C Enterable (http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Environment_Stack) More...

`#include <Enterable.hxx>`

Inheritance diagram for cppu::Enterable:

## Public Member Functions
virtual void | v_enter ()=0
virtual void | v_leave ()=0
virtual void | v_callInto_v (uno_EnvCallee *pCallee, va_list *pParam)=0
virtual void | v_callOut_v (uno_EnvCallee *pCallee, va_list *pParam)=0
virtual bool | v_isValid (rtl::OUString *pReason)=0
virtual | ~Enterable ()
| Enterable ()
void | enter ()
void | leave ()
void | callInto_v (uno_EnvCallee *pCallee, va_list *pParam)
void | callOut_v (uno_EnvCallee *pCallee, va_list *pParam)
void | callInto (uno_EnvCallee *pCallee,...)
void | callOut (uno_EnvCallee *pCallee,...)
int | isValid (rtl::OUString *pReason)

## Additional Inherited Members
Public Attributes inherited from uno_Enterable
uno_Enterable_enter * | m_enter
uno_Enterable_leave * | m_leave
uno_Enterable_callInto_v * | m_callInto_v
uno_Enterable_callOut_v * | m_callOut_v
uno_Enterable_isValid_v * | m_isValid

## Detailed Description

C++ wrapper for binary C Enterable (http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Environment_Stack)

See also
  uno_Enterable

Since
  UDK 3.2.7

## Constructor & Destructor Documentation

## ◆ ~Enterable()

virtual cppu::Enterable::~Enterable | ( |  | ) |
| inlinevirtual

## ◆ Enterable()

cppu::Enterable::Enterable | ( |  | ) |
| inlineexplicit

## Member Function Documentation

## ◆ callInto()

void cppu::Enterable::callInto | ( | uno_EnvCallee * | pCallee,
|  |  | ...
| ) |  |
| inline

## ◆ callInto_v()

void cppu::Enterable::callInto_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| inline

## ◆ callOut()

void cppu::Enterable::callOut | ( | uno_EnvCallee * | pCallee,
|  |  | ...
| ) |  |
| inline

## ◆ callOut_v()

void cppu::Enterable::callOut_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| inline

## ◆ enter()

void cppu::Enterable::enter | ( |  | ) |
| inline

## ◆ isValid()

int cppu::Enterable::isValid | ( | rtl::OUString * | pReason | ) |
| inline

## ◆ leave()

void cppu::Enterable::leave | ( |  | ) |
| inline

## ◆ v_callInto_v()

virtual void cppu::Enterable::v_callInto_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| pure virtual

## ◆ v_callOut_v()

virtual void cppu::Enterable::v_callOut_v | ( | uno_EnvCallee * | pCallee,
|  | va_list * | pParam
| ) |  |
| pure virtual

## ◆ v_enter()

virtual void cppu::Enterable::v_enter | ( |  | ) |
| pure virtual

## ◆ v_isValid()

virtual bool cppu::Enterable::v_isValid | ( | rtl::OUString * | pReason | ) |
| pure virtual

## ◆ v_leave()

virtual void cppu::Enterable::v_leave | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cppu/Enterable.hxx